classification
Title: Output test failures on stderr in regrtest.py
Type: behavior Stage: resolved
Components: Tests Versions: Python 3.2
process
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: Nosy List: Arfrever, barry, doko, eric.araujo, ezio.melotti, flox, r.david.murray, sandro.tosi
Priority: normal Keywords: patch

Created on 2009-10-12 08:08 by ezio.melotti, last changed 2010-12-04 17:29 by r.david.murray. This issue is now closed.

Files
File name Uploaded Description Edit
stdout_stderr.txt ezio.melotti, 2009-10-12 08:08 Log showing an example of two tracebacks sent to stdout and stderr.
issue7110-py3k.patch sandro.tosi, 2010-09-25 20:48
Messages (4)
msg93889 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2009-10-12 08:08
regrtest.py should output all the names of the tests that fail and their
tracebacks on stderr.
This will provide an easy way to filter out the relevant information
(errors and tracebacks) from all the other outputs.

The current behavior seems incoherent, some tracebacks are sent to
stdout and other to stderr (see attached log).
msg117391 - (view) Author: Sandro Tosi (sandro.tosi) * (Python committer) Date: 2010-09-25 20:48
Hello,
the attached patch seems to do the trick, at least on what I can verify here on my machine. I'd appreciate a bit more of test from more experienced developers, just to catch corner cases I didn't see.

Regards,
Sandro
msg117572 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2010-09-29 01:09
Looks good to me.  Committed in r85086.  Thanks, Sandro.
msg123376 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2010-12-04 17:29
I've decided that writing (some) errors to stdout instead of stderr is really a bug, not a feature request, and have backported this fix to 3.1 in r87053 and to 2.7 in r87055.

The one possible reason not to do this is that it is conceivable that it would affect the error reporting from an automated acceptance test (say for a distro).  This seems unlikely to me, but if anyone thinks it is a serious concern I'll back out the backports.
History
Date User Action Args
2010-12-04 17:29:49r.david.murraysetnosy: + barry, doko, Arfrever
type: enhancement -> behavior
messages: + msg123376
2010-09-29 01:09:36r.david.murraysetstatus: open -> closed
versions: - Python 2.7
messages: + msg117572

resolution: accepted
stage: needs patch -> resolved
2010-09-25 20:48:05sandro.tosisetfiles: + issue7110-py3k.patch

nosy: + sandro.tosi
messages: + msg117391

keywords: + patch
2010-08-04 07:53:02floxsetnosy: + flox
2010-08-01 00:32:15eric.araujosetnosy: + eric.araujo
2009-10-14 19:24:38ezio.melottisetnosy: + r.david.murray
2009-10-12 08:08:53ezio.melotticreate